Package org.eclipse.equinox.plurl

# Interface PlurlStreamHandlerFactory

All Superinterfaces:
  `PlurlFactory`, `URLStreamHandlerFactory`

public interface PlurlStreamHandlerFactory extends URLStreamHandlerFactory, PlurlFactory
A `URLStreamHandlerFactory` that also implements `PlurlFactory`

## Method Summary

Modifier and Type
Method
Description
`URLStreamHandler`
`createURLStreamHandler(String protocol)`
A factory is expected to return `URLStreamHandler` instances that also implement `PlurlStreamHandler`.

### Methods inherited from interface org.eclipse.equinox.plurl.PlurlFactory

`shouldHandle`

## Method Details

### createURLStreamHandler

URLStreamHandler createURLStreamHandler(String protocol)
A factory is expected to return `URLStreamHandler` instances that also implement `PlurlStreamHandler`. If the returned handler does not implement `PlurlStreamHandler` then deep reflection is required and the JVM may require the "--add-opens" option in order to open the "java.net" package for reflection. For example:

     --add-opens java.base/java.net=ALL-UNNAMED

Specified by:
  `createURLStreamHandler` in interface `URLStreamHandlerFactory`
See Also:
  - `URLStreamHandlerFactory.createURLStreamHandler(String)`